Bug 338351 - RFE: Allow specification of a "Provides" name in kickstart %packages
RFE: Allow specification of a "Provides" name in kickstart %packages
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-10-18 12:47 EDT by Orion Poplawski
Modified: 2014-01-08 12:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-08 12:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-10-18 12:47:03 EDT
Description of problem:

Seems like this used to work.  In my kickstart package selection I specify
"java-plugin".  This is provided by the java-1.7.0-icedtea-plugin package:

# rpm -q --provides -p
java-1.7.0-plugin =
java-plugin = 1.7.0
java-1.7.0-icedtea-plugin =

During install I get a missing package error for java-plugin.
Version-Release number of selected component (if applicable):
Comment 1 Orion Poplawski 2007-10-23 13:17:27 EDT
Same with
Comment 2 Jeremy Katz 2007-10-23 13:40:19 EDT
This has never been supported -- %packages lists package names, not provides  
Comment 3 Orion Poplawski 2012-03-20 17:31:23 EDT
I'm reopening this to see if there is any way this might be easier to support these days.
Comment 4 Jesse Keating 2012-07-19 20:09:01 EDT
Have you tested with F17?  Looking at the code we take each package line and send it through yum.install(pattern=<package>) which seems to indicate that it will search for something to match the pattern.  That may work on provides.  Give it a shot!
Comment 5 Orion Poplawski 2012-11-07 18:17:53 EST
This appears to be working with F18, I'm seeing:

Package ps2eps is obsoleted by texlive-pstools-bin, trying to install 1:texlive-pstools-bin-2012-0.svn27329.3.20121019_r28030.fc18.x86_64 instead

A little funny that the messages is about obsoletes rather than provides, but it does the trick.  Thanks!
Comment 6 Orion Poplawski 2014-01-08 12:55:41 EST
This seems to no longer be working with F20.  I have "vnc" in my kickstart, but tigervnc does not end up being installed.  No mention of 'vnc' in any of the anaconda logs though.
Comment 7 Orion Poplawski 2014-01-08 12:56:27 EST
Never mind

Note You need to log in before you can comment on or make changes to this bug.